<?
define('PROTECTOR', 1);


$head = 'duel';//фикс. места

if($duel[status]=="begin"){
$header=TRUE;
}else{
$textl='Онлайн Дуэли';}
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
///чистка
$limit=time()-40000;
mysql_query("DELETE FROM `duel` WHERE `time` <= '$limit'");
mysql_query("DELETE FROM `userduel` WHERE `time` <= '$limit'");
mysql_query("DELETE FROM `duellog` WHERE `usr` = '$log' or `opon`='$log'");
///
$req = mysql_query("SELECT `duid` FROM `userduel` WHERE `usr` = '$log' LIMIT 1");
$duel = mysql_fetch_array($req);
$redu = mysql_query("SELECT * FROM `duel` WHERE `id` = '$duel[duid]' LIMIT 1");
$dued = mysql_fetch_array($redu);
if($dued[status]=="begin"){header ("Location: fiting.php?");exit;}
@include('files/head.php');
@include('files/zag.php');
//
$time=time();

switch($_GET[mod]){

default:
$rand=rand(1000000,10000000);
if(empty($_GET[cur])){$_GET[cur]="dost";}
echo"<div class='a'><b>Онлайн дуэли</b></div>$div";
echo"<ul class='nav'>";
echo"<li><a href=\"duel.php?mod=create\"><img src='pic/red.png' alt='*'/> Создать битву</a></li>";
echo"<li><a href=\"duel.php?cur=$_GET[cur]&reload=$rand\"><img src='pic/game/reload.png' alt='*'/> Обновить</a></li></ul>";
echo"<img src='pic/game/du.png' alt='*'/>";
if($_GET[cur]==dost){$ss1="<font color='#CCFF33'> доступные</font>";}else{$ss1="<a href=\"duel.php?cur=dost\"><font color='#7f9fae'> доступные</font></a>";}
if($_GET[cur]==all){$ss2="<font color='#CCFF33'> все</font>";}else{$ss2="<a href=\"duel.php?cur=all\"><font color='#7f9fae'>все</font></a>";}
if($_GET[cur]==onl){$ss3="<font color='#CCFF33'> текущие</font>";}else{$ss3="<a href=\"duel.php?cur=onl\"><font color='#7f9fae'>текущие</font></a>";}
echo"$ss1 | $ss2 | $ss3";
echo"$div <b>Битвы</b> $div";
if($_GET[cur]==dost){$asg = mysql_query("SELECT * FROM duel WHERE minlvl <= '$udata[lvl]' and maxlvl >= '$udata[lvl]' and status='sob'");}
if($_GET[cur]==all){$asg = mysql_query("SELECT * FROM duel WHERE status!='begin'");}
if($_GET[cur]==onl){$asg = mysql_query("SELECT * FROM duel WHERE status='begin'");}
$reg=mysql_num_rows($asg);
if($reg==0){echo"<div class = 'a'><font color='#FF6633'>нет доступных битв <a href=\"duel.php?mod=create\">
<img src='pic/red.png' alt='*'/> создать</a></font></div>";}else{
While($duel = mysql_fetch_array($asg))
{
echo'<img src="pic/red.png" alt="*"/> <a href="search.php?nick='.$duel[usr].'&go=go"><font color="#7f9fae">'.$duel[usr].' </a></font> ';
echo"[<img src=\"pic/up.png\" alt=\"*\"/> $duel[minlvl]-$duel[maxlvl]]<br>";
$vremya1=$duel[time]-$time;
$vremy=floor($vremya1/60);
$vremya=$vremya1-($vremy*60);
if($vremya<10){$vremya="0$vremya";}
$vrem="$vremy:$vremya";
if($vremy<=-1){
$vrem="00:00";
mysql_query("UPDATE `duel` SET `status` = 'begin' WHERE `status` = 'sob' and `id`='$duel[id]'") or die (mysql_error());
}
if($duel[status]==sob){echo"<img src=\"pic/game/time.png\" alt=\"*\"/> Начало через: $vrem<br>";}
if($duel[status]==begin){echo"<img src='pic/game/time.png' alt='*'/> Битва началась<br>";}
if($dueli==1){$userduel=mysql_fetch_array(mysql_query("SELECT `duid` FROM `userduel` WHERE `usr` = '$log' LIMIT 1"));}

if($userduel[duid]==$duel[id]){
echo"<a href=\"duel.php?mod=pobeg&id=$duel[id]\"><font color=\"#FF5533\">сбежать </font></a>";
echo"<a href=\"duel.php?mod=zav&id=$duel[id]\"><font color=\"#7f9fae\"> заявки </font></a>";}else{
if($duel[status]==sob){echo"<a href=\"duel.php?mod=reg&id=$duel[id]\"><font color=\"#7f9fae\">вступить </font></a>";
echo"<a href=\"duel.php?mod=zav&id=$duel[id]\"><font color=\"#7f9fae\"> заявки</font></a>"; }}
echo"<font color='#AAAAAA'>($duel[zav]/$duel[zavmax])</font>";
echo"<div class='line'></div>";
}
}
echo"$div<b>Зелья:</b>$div";
$el = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `tip`='elexir' and `kol`>'0' ORDER by `cena` DESC LIMIT 4");
$avt=mysql_num_rows($el);
if($avt>=1){
While($elm = mysql_fetch_array($el)){
echo"$elm[name] ($elm[kol] шт.) [<a href=\"elexirs.php?id=$elm[id]\">исп.</a>]<br/>";
}}
break;

case 'create':
if($dueli==1){echo"Вы уже участвуете в дуэли!";}
elseif(empty($_POST[level]) or empty($_POST[count]) or empty($_POST[start])){
echo"<div class='a'>Создать битву</div>$div";
echo'<form action="duel.php?mod=create" method="post">
<img src="pic/game/du.png" alt="" /> Уровень игроков:<br>
      <select name="level" >
                                  <option  value="1">&plusmn;.      1      .</option>
                                  <option  value="2">&plusmn;.      2      .</option>
                                  <option  value="3">&plusmn;.      3      .</option>
                                  <option  value="4">&plusmn;.      4      .</option>
                                  <option  value="5">&plusmn;.      5      .</option>
                                  </select>
<br><img src="pic/game/du.png" alt="" /> Кол-во воинов:<br>
      <select name="count" >
                                  <option  value="2">2</option>
                                  <option  value="4">4</option>
                                  <option  value="8">8</option>
                                  </select>
<br><img src="pic/game/du.png" alt="" /> Начало боя через:<br>
     <select name="start" >
                                  <option  value="3">3 мин.</option>
                                  <option  value="5">5 мин.</option>
                                  <option  value="10">10 мин.</option>
                                  </select>
<br><input type="submit" class="button" value="Создать" />
    </form>';}else{
$min=$udata[lvl]-$_POST[level];
if($min<0){$min=1;}
$max=$udata[lvl]+$_POST[level];
if($max>70){$max=70;}
$time=$time+$_POST[start]*60;
mysql_query("INSERT INTO
        `duel` SET
        `usr` = '$log',
        `minlvl` = '$min',
        `maxlvl` = '$max',
        `status` = 'sob',
        `zav` = '1',
        `time` = '$time',
        `zavmax` = '$_POST[count]'") or die (mysql_error());
$userduel=mysql_query("SELECT * FROM `duel` WHERE `usr` = '$log' and `status`='sob' LIMIT 1");
$userduel=mysql_fetch_array($userduel);
mysql_query("INSERT INTO
        `userduel` SET
        `usr` = '$log',
        `duid` = '$userduel[id]',
        `lvl` = '$udata[lvl]',
        `hp` = '$udata[hp]',
        `status` = 'active',
        `time` = '$time',
        `storona` = '$udata[storona]' ") or die (mysql_error());
echo'<img src="pic/yes.png" alt="" /> Бой успешно создан!<br>';
}
echo"<a href=\"duel.php?\">« Назад </a>";
break;

case 'reg':
if($dueli==1){echo"<img src='pic/no.png' alt='' /> Вы уже состоите в дуэли<br/> <a href=\"duel.php?\">« Назад </a>";break;}
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$req=mysql_query("SELECT storona FROM userduel WHERE duid = '$id' ORDER BY time DESC LIMIT 1") or die (mysql_error());
$storm=mysql_fetch_array($req);
if($storm[storona]=="white"){$st="black";}else{$st="white";}
$userduel=mysql_query("SELECT * FROM `duel` WHERE `id` = '$id' and `status`='sob' LIMIT 1");
$avt=mysql_num_rows($userduel);
if($avt==0){echo"<img src='pic/no.png' alt='' /> Нет такой дуэли, либо она уже началась<br/> <a href=\"duel.php?\">« Назад </a>";break;}
$userduel=mysql_fetch_array($userduel);
if($userduel[zav]==$userduel[zavmax]){echo"<img src='pic/no.png' alt='' /> Уже собрано максимальное кол-во бойцов!<br/> <a href=\"duel.php?\">« Назад </a>";break;}
if($userduel[minlvl]>$udata[lvl]){echo"<img src='pic/no.png' alt='' />У вас низкий уровень!<br/> <a href=\"duel.php?\">« Назад </a>";break;}
if($userduel[maxlvl]<$udata[lvl]){echo"<img src='pic/no.png' alt='' />У вас слишком высокий уровень!<br/> <a href=\"duel.php?\">« Назад </a>";break;}
echo"<img src='pic/yes.png' alt='' /> Вы успешно вступили в бой!<br/> <a href=\"duel.php?\">« Назад </a>";
mysql_query("INSERT INTO
        `userduel` SET
        `usr` = '$log',
        `duid` = '$id',
        `lvl` = '$udata[lvl]',
        `hp` = '$udata[hp]',
        `time` = '$time',
        `status` = 'active',
        `storona` = '$st' ") or die (mysql_error());

mysql_query("UPDATE `duel` SET `zav` = '$userduel[zav]'+'1' WHERE `status` = 'sob' and `id`='$id'") or die (mysql_error());
break;

case 'zav':
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$rand=rand(1000000,10000000);
echo"<div class='a'><b>Онлайн дуэли</b></div>$div";
echo"<ul class='nav'>";
echo"<li><a href=\"duel.php?mod=create\"><img src='pic/red.png' alt='*'/> Создать битву</a></li>";
echo"<li><a href=\"duel.php?mod=zav&id=$id&reload=$rand\"><img src='pic/game/reload.png' alt='*'/> Обновить</a></li></ul>";
echo"$div <b>Битва</b> $div";
$asg = mysql_query("SELECT * FROM duel WHERE id='$id'");
$duel = mysql_fetch_array($asg);
echo'<img src="pic/red.png" alt="*"/> <a href="search.php?nick='.$duel[usr].'&go=go"><font color="#7f9fae">'.$duel[usr].' </a></font> ';
echo"[<img src=\"pic/up.png\" alt=\"*\"/> $duel[minlvl]-$duel[maxlvl]]<br>";
$vremya1=$duel[time]-$time;
$vremy=floor($vremya1/60);
$vremya=$vremya1-($vremy*60);
if($vremya<10){$vremya="0$vremya";}
$vrem="$vremy:$vremya";
if($vremy<=-1){
$vrem="00:00";
mysql_query("UPDATE `duel` SET `status` = 'begin' WHERE `status` = 'sob' and `id`='$duel[id]'") or die (mysql_error());
}
if($duel[status]==sob){echo"<img src=\"pic/game/time.png\" alt=\"*\"/> Начало через: $vrem<br/>";}
if($duel[status]==begin){echo"<img src='pic/game/time.png' alt='*'/> Битва началась<br/>";}
echo"<font color='#AAAAAA'> заявки ($duel[zav]/$duel[zavmax])</font>";
$uch = mysql_query("SELECT * FROM userduel WHERE duid='$id'");
$uc=mysql_num_rows($uch);
echo"$div <b>Участники: $uc</b> $div";
While($us=mysql_fetch_array($uch))
{
echo"<img src=\"pic/main/$us[storona].png\" alt=\"*\"/> <a href=\"search.php?nick=$us[usr]&go=go\">$us[usr]</a>
<img src=\"pic/up.png\" alt=\"*\"/> $us[lvl]<br/>";
}
echo"$div  <a href=\"duel.php?\">« Назад </a>";
break;

case 'pobeg':
if($dueli==1){
$id = htmlspecialchars(addslashes(stripslashes($_GET['id'])));
$userduel=mysql_query("SELECT * FROM `duel` WHERE `id` = '$id' and `usr`='$log' LIMIT 1");
$avt=mysql_num_rows($userduel);
$userduel=mysql_fetch_array($userduel);
if($avt==1){echo"<img src='pic/no.png' alt='' /> Нельзя сбежать, вы создатель боя!<br/> <a href=\"duel.php?\">« Назад </a>";break;}

echo"<font color=\"#FF5533\"> Вы сбежали с дуэли! <br/> <a href=\"duel.php?\">« Назад </a>";
mysql_query("DELETE FROM `userduel` WHERE `usr`='$log' and `duid`='$id'");
mysql_query("UPDATE `duel` SET `zav` = '$userduel[zav]'-'1' WHERE `status` = 'sob' and `id`='$id'") or die (mysql_error());
mysql_query("UPDATE `users` SET `predatel` = '$udata[predatel]'+'1' WHERE `usr` = '$log'") or die (mysql_error());}else{
echo"Какая то ошибка";}
break;
}
@include('files/down.php');
?>